# $Id: net-scripts.spec,v 1.15 2003/05/29 14:00:47 ldv Exp $

Name: net-scripts
Version: 0.3
Release: alt1

Summary: The system netwotk scripts
License: GPL
Group: System/Base
Packager: Dmitry V. Levin <ldv@altlinux.org>

Source: %name-%version.tar.bz2

Provides: %_sysconfdir/ppp/ip-up.d, %_sysconfdir/ppp/ip-down.d
PreReq: setup >= 0:2.1.9-ipl18mdk, service, startup, chkconfig, control
Conflicts: initscripts < 1:5.49.1-alt1
Conflicts: ppp < 0:2.3.9, wvdial < 0:1.40

# Automatically added by buildreq on Tue Oct 15 2002
BuildRequires: glib-devel libpopt-devel

%description
This package contains the basic system scripts that activate
and deactivate most network interfaces.

%prep
%setup -q

%build
make -C src

%install
%make_install install -C src DESTDIR=$RPM_BUILD_ROOT

%__mkdir_p $RPM_BUILD_ROOT%_sysconfdir
%__cp -a rc.d ppp sysconfig $RPM_BUILD_ROOT%_sysconfdir/
for n in ifup ifdown; do 
	%__mv $RPM_BUILD_ROOT%_sysconfdir/sysconfig/network-scripts/$n \
		$RPM_BUILD_ROOT/sbin/
	%__ln_s /sbin/$n \
		$RPM_BUILD_ROOT%_sysconfdir/sysconfig/network-scripts/
done
%__mkdir_p $RPM_BUILD_ROOT%_sysconfdir/ppp/ip-{up,down}.d

touch $RPM_BUILD_ROOT%_sysconfdir/sysconfig/network
chmod -R +x $RPM_BUILD_ROOT{/sbin,%_sysconfdir/{rc.d,ppp,sysconfig/network-scripts}}
%__ln_s %_docdir/%name-%version/README $RPM_BUILD_ROOT%_sysconfdir/sysconfig/network-scripts/

%__mkdir_p $RPM_BUILD_ROOT/var/{log,run/netreport}

%pre
if [ $1 -ge 2 ]; then
	/usr/sbin/control-dump usernetctl
fi

%post
if [ $1 -ge 2 ]; then
	/usr/sbin/control-restore usernetctl
else
	/sbin/chkconfig --add network
	/sbin/chkconfig --add netfs
fi

%preun
if [ $1 -eq 0 ]; then
	/sbin/chkconfig --del netfs
	/sbin/chkconfig --del network
fi

%triggerpostun -- initscripts < 1:5.49.1-alt1
for f in %_sysconfdir/sysconfig/{network,vlan}; do
	if [ ! -f "$f" ]; then
	        if [ -f "$f".rpmsave ]; then
	                %__cp -pf "$f".rpmsave "$f"
	        elif [ -f "$f".rpmnew ]; then
	                %__cp -pf "$f".rpmnew "$f"
	        fi
	fi
done
/sbin/chkconfig --add network
/sbin/chkconfig --add netfs

%files
%config(noreplace) %verify(not md5 mtime size) %_sysconfdir/sysconfig/network
%config(noreplace) %verify(not md5 mtime size) %_sysconfdir/sysconfig/vlan
%config %_sysconfdir/rc.d/init.d/*
%config /etc/control.d/facilities/usernetctl
%config /sbin/ifup
%config /sbin/ifdown
%config %_sysconfdir/ppp/ip-up
%config %_sysconfdir/ppp/ip-down
%dir %_sysconfdir/ppp/ip-*.d
%dir %_sysconfdir/sysconfig/network-scripts
%_sysconfdir/sysconfig/network-scripts/ifup
%_sysconfdir/sysconfig/network-scripts/ifdown
%config %_sysconfdir/sysconfig/network-scripts/*-*
%doc %_sysconfdir/sysconfig/network-scripts/README

/bin/*
/sbin/ppp-watch
%attr(2711,root,netwatch) /sbin/netreport
%attr(700,root,root) %_sbindir/usernetctl
%dir %attr(730,root,netwatch) /var/run/netreport
%_mandir/man?/*

%doc README

%changelog
* Thu May 29 2003 Dmitry V. Levin <ldv@altlinux.org> 0.3-alt1
- Added README, based on
  /usr/share/doc/initscripts-5.49.1/sysconfig.txt,
  with minor corrections (closes #0002561, #0002617).
- ipcalc: updated code and manpage from RH.

* Fri May 23 2003 Dmitry V. Levin <ldv@altlinux.org> 0.2-alt1
- Fixed typo introduced in previous release.

* Tue May 20 2003 Dmitry V. Levin <ldv@altlinux.org> 0.1-alt1
- Provides: %_sysconfdir/ppp/ip-up.d, %_sysconfdir/ppp/ip-down.d
- Use new functions from service package.

* Mon Apr 21 2003 Dmitry V. Levin <ldv@altlinux.org> 0.0.1-alt1
- Removed all but network scripts and packaged them separately.

* Sat Apr 19 2003 Dmitry V. Levin <ldv@altlinux.org> 5.49-ipl54mdk
- %_initdir/sound: don't sort aliases in LoadModule (#0001802).
- %_initdir/clock: test $HWCLOCK_ADJUST also for "true" value (#0002351).
- %_initdir/functions:
  + fixed check logic in daemon() a bit (#0002407).
  + fixed return code in killproc() (#0002412).
- %_initdir/outformat: check argumnets being passed to tput (#0002450).
- /etc/sysctl.conf:
  + set "net.ipv4.icmp_echo_ignore_broadcasts = 1" by default (#0002472);
  + added comments from Owl's sysctl.conf file.
- usernetctl: support variable definitions quoted with single quotes.
